////////////////////////////////////////////////////////////////////////
// Image01.c
// Show a image
// Mochilote - www.cpcmania.com
////////////////////////////////////////////////////////////////////////
#include <string.h>

#include "rihanna.h"

#define NUM_COLORS 16

const unsigned char BlackPalette[NUM_COLORS] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};

void SetColor(unsigned char nColorIndex, unsigned char nPaletteIndex)
{
	__asm
		ld a, 4 (ix)
		ld b, 5 (ix)
		ld c, b
		call #0xBC32 ;SCR SET INK
		__endasm;
}

void SetPalette(const unsigned char *pPalette)
{
	unsigned char nColor = 0;

	for(nColor = 0; nColor < NUM_COLORS; nColor++)
		SetColor(nColor, pPalette[nColor]);
}

void main()
{
	//SCR_SET_MODE 0
	__asm
		ld a, #0
		call #0xBC0E
	__endasm;

	//SCR SET BORDER 0
	__asm
		ld b, #0 ;black
		ld c, b
		call #0xBC38
	__endasm;

	SetPalette(BlackPalette);

	memcpy(0xC000, RihannaScreen, 0x3FFF);

	SetPalette(RihannaPalette);

	while(1) {};
}
////////////////////////////////////////////////////////////////////////